### A free/open-source library for quantitative finance

Public Types | Public Member Functions
Ukraine Class Reference
Calendars

Ukrainian calendars. More...

`#include <ql/time/calendars/ukraine.hpp>`

Inheritance diagram for Ukraine:
[legend]

List of all members.

## Public Types

enum | Market { USE }

## Public Member Functions

| Ukraine (Market m=USE)

## Detailed Description

Ukrainian calendars.

Holidays for the Ukrainian stock exchange (data from <http://www.ukrse.kiev.ua/eng/>):

- Saturdays
- Sundays
- New Year's Day, January 1st
- Orthodox Christmas, January 7th
- International Women's Day, March 8th
- Easter Monday
- Holy Trinity Day, 50 days after Easter
- International Workers' Solidarity Days, May 1st and 2nd
- Victory Day, May 9th
- Constitution Day, June 28th
- Independence Day, August 24th

Holidays falling on a Saturday or Sunday are moved to the following Monday.

## Member Enumeration Documentation

enum Market

Enumerator:

  USE | Ukrainian stock exchange.